Loading...
Searching...
No Matches
vector.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "alignment.h"`
`#include "array.h"`
`#include "debug_count.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "placement_new.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include "private/pvoidvector.h"`
`#include "private/vector_base.h"`
`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

class | etl::ivector< T, typename etl::enable_if< etl::negation< etl::is_object_pointer< T > >::value >::type >
class | etl::ivector< T, typename etl::enable_if< etl::is_object_pointer< T >::value >::type >
class | etl::vector< T, MAX_SIZE_ >
class | etl::vector_ext< T >
| Template deduction guides. More...

## Namespaces

namespace | etl

## Functions

template<typename T>
bool | etl::operator== (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T>
bool | etl::operator!= (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T>
bool | etl::operator< (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T>
bool | etl::operator> (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T>
bool | etl::operator<= (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T>
bool | etl::operator>= (const etl::ivector< T > &lhs, const etl::ivector< T > &rhs)
template<typename T, typename U>
etl::ivector< T >::difference_type | etl::erase (etl::ivector< T > &v, const U &value)
| erase
template<typename T, typename TPredicate>
etl::ivector< T >::difference_type | etl::erase_if (etl::ivector< T > &v, TPredicate predicate)
| erase_if
template<typename T>
void | etl::swap (ivector< T > &lhs, ivector< T > &rhs)